import { useState } from "react";
import { v4 as uuid } from "uuid";

const Mutation = () => {
  const unique_id = uuid();
  const [count, setCount] = useState(0);
  const [user, setUser] = useState({
    name: "Jeannette Chin",
    email: "jc@test.com"
  });
  const [tickets, setTickets] = useState([]);
  const addTicket = (e) => {
    setTickets([
      // new array
      ...tickets, // contains old tickets
      { id: unique_id, user } // add one new item at the end
    ]);
  };

  const handleUser = (e) => {
    setUser({
      ...user, // copy the old fields
      name: e.target.value /// overide this field
    });
    console.log(user);
  };

  //   const handleUser = () => {
  //     user.name = "Jo Blog";
  //   };

  const handleClick = () => {
    setCount((count) => {
      return count + 1;
    });
  };

  return (
    <div>
      <h2>{count} times you clicked me! </h2>
      <button onClick={handleClick}>Click Me!</button>
      {/* <div>
        <label>
          {" "}
          Name
          <input onChange={handleUser} value={user.name} />
        </label>
      </div> */}
      <div>
        <label>
          {" "}
          Name
          <input onChange={handleUser} value={user.name} />
        </label>
        <button onClick={addTicket}>Add Ticket</button>
      </div>
      <div>
        <h3>Tickets</h3>
        <ul>
          {tickets.map((ticket) => {
            return <li key={ticket.id}>{ticket.user.name}</li>;
          })}
        </ul>
      </div>
    </div>
  );
};

export default Mutation;
