import { useState } from "react";

const Panel = ({ title, children, isActive, onShow }) => {
  return (
    <section>
      <h3>{title}</h3>
      {isActive ? <p>{children}</p> : <button onClick={onShow}>Show</button>}
    </section>
  );
};
/// parent
const ShareState = () => {
  const [active, setActive] = useState(0);
  console.log(active);

  return (
    <div>
      <h2>ShareState</h2>
      <Panel title="About" isActive={active === 0} onShow={() => setActive(0)}>
        {" "}
        State 1{" "}
      </Panel>
      <Panel title="Bio" isActive={active === 1} onShow={() => setActive(1)}>
        {" "}
        State 2{" "}
      </Panel>
      <Panel
        title="Education"
        isActive={active === 2}
        onShow={() => setActive(2)}
      >
        {" "}
        State 3{" "}
      </Panel>
    </div>
  );
};

export default ShareState;
